--[[ Renaitre ]]

local LBF = LibStub("LibButtonFacade", true)
if not LBF then return end

-- Renaitre: Circle
LBF:AddSkin("Renaitre: Circle", {
	Backdrop = {
		Width = 44,
		Height = 44,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Backdrop]],
	},
	Icon = {
		Width = 26,
		Height = 26,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Flash = {
		Width = 44,
		Height = 44,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Overlay]],
	},
	Cooldown = {
		Width = 26,
		Height = 26,
	},
	AutoCast = {
		Width = 24,
		Height = 24,
		OffsetX = 1,
		OffsetY = -1,
		AboveNormal = true,
	},
	Normal = {
		Width = 44,
		Height = 44,
		Static = true,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Normal]],
	},
	Pushed = {
		Width = 44,
		Height = 44,
		Color = {0.15, 0.42, 1, 0.3},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Overlay]],
	},
	Border = {
		Width = 44,
		Height = 44,
		BlendMode = "ALPHAKEY",
		Color = {0, 0.5, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Border]],
	},
	Disabled = {
		Width = 44,
		Height = 44,
		BlendMode = "MOD",
		Color = {1, 0, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Border]],
	},
	Checked = {
		Width = 44,
		Height = 44,
		BlendMode = "BLEND",
		Color = {0, 0.12, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Border]],
	},
	AutoCastable = {
		Width = 48,
		Height = 48,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 44,
		Height = 44,
		BlendMode = "ALPHAKEY",
		Color = {0.75, 0, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Highlight]],
	},
	Gloss = {
		Width = 44,
		Height = 44,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Circle\Gloss]],
	},
	HotKey = {
		Width = 44,
		Height = 10,
		OffsetX = -12,
		OffsetY = 12,
	},
	Count = {
		Width = 44,
		Height = 10,
		OffsetX = -12,
		OffsetY = -12,
	},
	Name = {
		Width = 44,
		Height = 12,
		OffsetY = -12,
	},
}, true)

-- Renaitre: Rounded
LBF:AddSkin("Renaitre: Rounded", {
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Backdrop]],
	},
	Icon = {
		Width = 30,
		Height = 30,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Flash = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Overlay]],
	},
	Cooldown = {
		Width = 30,
		Height = 30,
	},
	AutoCast = {
		Width = 30,
		Height = 30,
		OffsetX = 1,
		OffsetY = -1,
		AboveNormal = true,
	},
	Normal = {
		Width = 40,
		Height = 40,
		Static = true,
		Color = {0.3, 0.3, 0.3, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Normal]],
	},
	Pushed = {
		Width = 40,
		Height = 40,
		Color = {0.15, 0.42, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Overlay]],
	},
	Border = {
		Width = 40,
		Height = 40,
		BlendMode = "ALPHAKEY",
		Color = {0, 0.5, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	Disabled = {
		Width = 40,
		Height = 40,
		BlendMode = "ALPHAKEY",
		Color = {1, 0, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	Checked = {
		Width = 40,
		Height = 40,
		BlendMode = "BLEND",
		Color = {0, 0.12, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	AutoCastable = {
		Width = 40,
		Height = 40,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 40,
		Height = 40,
		BlendMode = "ALPHAKEY",
		Color = {0.75, 0, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Highlight]],
	},
	Gloss = {
		Width = 40,
		Height = 40,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Gloss]],
	},
	HotKey = {
		Width = 40,
		Height = 10,
		OffsetX = -6,
		OffsetY = 10,
	},
	Count = {
		Width = 40,
		Height = 10,
		OffsetX = -6,
		OffsetY = -10,
	},
	Name = {
		Width = 40,
		Height = 10,
		OffsetY = -10,
	},
}, true)

-- Renaitre: Rounded XL
LBF:AddSkin("Renaitre: Rounded XL", {
	Backdrop = {
		Width = 42,
		Height = 42,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Backdrop]],
	},
	Icon = {
		Width = 32,
		Height = 32,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Flash = {
		Width = 42,
		Height = 42,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Overlay]],
	},
	Cooldown = {
		Width = 32,
		Height = 32,
	},
	AutoCast = {
		Width = 32,
		Height = 32,
		OffsetX = 1,
		OffsetY = -1,
		AboveNormal = true,
	},
	Normal = {
		Width = 42,
		Height = 42,
		Static = true,
		Color = {0.3, 0.3, 0.3, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Normal]],
	},
	Pushed = {
		Width = 42,
		Height = 42,
		Color = {0.15, 0.42, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Overlay]],
	},
	Border = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {0, 0.5, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	Disabled = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {1, 0, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	Checked = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {0, 0.12, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	AutoCastable = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {0.75, 0, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Highlight]],
	},
	Gloss = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Gloss]],
	},
	HotKey = {
		Width = 42,
		Height = 10,
		OffsetX = -6,
		OffsetY = 10,
	},
	Count = {
		Width = 42,
		Height = 10,
		OffsetX = -6,
		OffsetY = -10,
	},
	Name = {
		Width = 42,
		Height = 10,
		OffsetY = -10,
	},
}, true)

-- Renaitre: Rounded XXL
LBF:AddSkin("Renaitre: Rounded XXL", {
	Backdrop = {
		Width = 44,
		Height = 44,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Backdrop]],
	},
	Icon = {
		Width = 34,
		Height = 34,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Flash = {
		Width = 44,
		Height = 44,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Overlay]],
	},
	Cooldown = {
		Width = 34,
		Height = 34,
	},
	AutoCast = {
		Width = 34,
		Height = 34,
		OffsetX = 1,
		OffsetY = -1,
		AboveNormal = true,
	},
	Normal = {
		Width = 44,
		Height = 44,
		Static = true,
		Color = {0.3, 0.3, 0.3, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Normal]],
	},
	Pushed = {
		Width = 44,
		Height = 44,
		Color = {0.15, 0.42, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Overlay]],
	},
	Border = {
		Width = 44,
		Height = 44,
		BlendMode = "ALPHAKEY",
		Color = {0, 0.5, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	Disabled = {
		Width = 44,
		Height = 44,
		BlendMode = "ALPHAKEY",
		Color = {1, 0, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	Checked = {
		Width = 44,
		Height = 44,
		BlendMode = "BLEND",
		Color = {0, 0.12, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Border]],
	},
	AutoCastable = {
		Width = 44,
		Height = 44,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 44,
		Height = 44,
		BlendMode = "ALPHAKEY",
		Color = {0.75, 0, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Highlight]],
	},
	Gloss = {
		Width = 44,
		Height = 44,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Rounded\Gloss]],
	},
	HotKey = {
		Width = 44,
		Height = 10,
		OffsetX = -6,
		OffsetY = 10,
	},
	Count = {
		Width = 44,
		Height = 10,
		OffsetX = -6,
		OffsetY = -10,
	},
	Name = {
		Width = 44,
		Height = 10,
		OffsetY = -10,
	},
}, true)

-- Renaitre: Square
LBF:AddSkin("Renaitre: Square", {
	Backdrop = {
		Width = 42,
		Height = 42,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Backdrop]],
	},
	Icon = {
		Width = 30,
		Height = 30,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Flash = {
		Width = 42,
		Height = 42,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Overlay]],
	},
	Cooldown = {
		Width = 30,
		Height = 30,
	},
	AutoCast = {
		Width = 30,
		Height = 30,
		OffsetX = 1,
		OffsetY = -1,
		AboveNormal = true,
	},
	Normal = {
		Width = 42,
		Height = 42,
		Static = true,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Normal]],
	},
	Pushed = {
		Width = 42,
		Height = 42,
		Color = {0.15, 0.42, 1, 0.3},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Overlay]],
	},
	Border = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {0, 0.5, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Border]],
	},
	Disabled = {
		Width = 44,
		Height = 44,
		BlendMode = "MOD",
		Color = {1, 0, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Border]],
	},
	Checked = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {0, 0.12, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Border]],
	},
	AutoCastable = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {0.75, 0, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Highlight]],
	},
	Gloss = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Gloss]],
	},
	HotKey = {
		Width = 42,
		Height = 10,
		OffsetX = -6,
		OffsetY = 10,
	},
	Count = {
		Width = 42,
		Height = 10,
		OffsetX = -6,
		OffsetY = -10,
	},
	Name = {
		Width = 42,
		Height = 10,
		OffsetY = -10,
	},
}, true)

-- Renaitre: Square Dark
LBF:AddSkin("Renaitre: Square Dark", {
	Backdrop = {
		Width = 42,
		Height = 42,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Backdrop]],
	},
	Icon = {
		Width = 30,
		Height = 30,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Flash = {
		Width = 42,
		Height = 42,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Overlay]],
	},
	Cooldown = {
		Width = 30,
		Height = 30,
	},
	AutoCast = {
		Width = 30,
		Height = 30,
		OffsetX = 1,
		OffsetY = -1,
		AboveNormal = true,
	},
	Normal = {
		Width = 42,
		Height = 42,
		Static = true,
		Color = {0.3, 0.3, 0.3, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Normal]],
	},
	Pushed = {
		Width = 42,
		Height = 42,
		Color = {0.15, 0.42, 1, 0.3},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Overlay]],
	},
	Border = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {0, 0.5, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Border]],
	},
	Disabled = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {1, 0, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Border]],
	},
	Checked = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {0, 0.12, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Border]],
	},
	AutoCastable = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {0.75, 0, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Highlight]],
	},
	Gloss = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Square\Gloss]],
	},
	HotKey = {
		Width = 42,
		Height = 10,
		OffsetX = -6,
		OffsetY = 10,
	},
	Count = {
		Width = 42,
		Height = 10,
		OffsetX = -6,
		OffsetY = -10,
	},
	Name = {
		Width = 42,
		Height = 10,
		OffsetY = -10,
	},
}, true)

-- Renaitre: Limb0 XL
LBF:AddSkin("Renaitre: Limb0 XL", {
	Backdrop = {
		Width = 42,
		Height = 42,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Backdrop]],
	},
	Icon = {
		Width = 30,
		Height = 30,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Flash = {
		Width = 42,
		Height = 42,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Overlay]],
	},
	Cooldown = {
		Width = 32,
		Height = 32,
	},
	AutoCast = {
		Width = 32,
		Height = 32,
		OffsetX = 1,
		OffsetY = -1,
		AboveNormal = true,
	},
	Normal = {
		Width = 42,
		Height = 42,
		Static = true,
		Color = {0.5, 0.5, 0.5, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Normal]],
	},
	Pushed = {
		Width = 42,
		Height = 42,
		Color = {0.15, 0.42, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Overlay]],
	},
	Border = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {0, 0.5, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Border]],
	},
	Disabled = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {1, 0, 0, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Border]],
	},
	Checked = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {0, 0.12, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Border]],
	},
	AutoCastable = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 42,
		Height = 42,
		BlendMode = "ALPHAKEY",
		Color = {0.75, 0, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Highlight]],
	},
	Gloss = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\ButtonFacade_Renaitre\Textures\Limb0\Gloss]],
	},
	HotKey = {
		Width = 42,
		Height = 10,
		OffsetX = -6,
		OffsetY = 10,
	},
	Count = {
		Width = 42,
		Height = 10,
		OffsetX = -6,
		OffsetY = -10,
	},
	Name = {
		Width = 42,
		Height = 10,
		OffsetY = -10,
	},
}, true)
